#include <iostream>

using namespace std;

int main()
{
    long int n,m,z,a;
    cin >> n >> m;
    if (n!=1 && m!=1){
    z=(n+m-2)*2;
    a=(n-2)*(m-2)/2;
    z+=a;
    }else
    z=n*m;
    cout << z;
    return 0;
}